extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Login Screen Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Login Screen Vue Component
      script(src="/js/motion/loginscreen.js")
      f7-motion-loginscreen(motion)

    p Login Screen Vue component represents <a href="../docs/login-screen.html">Login Screen</a> component.
    h2 Login Screen Components
    p There are following components included:
    ul
      li `f7-login-screen` - login screen element
      li `f7-login-screen-title` - login screen title element
    h2 Login Screen Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-login-screen&gt; properties
        tr
          td opened
          td boolean
          td false
          td Allows to open/close Login Screen and set its initial state
        tr
          td animate
          td boolean
          td
          td Whether the modal should be opened/closed with animation or not
        tr
          td container-el
          td HTMLElement<br>string
          td
          td Element to mount modal to (default to app root element)

    h2 Login Screen Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;f7-login-screen&gt; events
        tr
          td loginscreen:open
          td Event will be triggered when Login Screen starts its opening animation
        tr
          td loginscreen:opened
          td Event will be triggered after Login Screen completes its opening animation
        tr
          td loginscreen:close
          td Event will be triggered when Login Screen starts its closing animation
        tr
          td loginscreen:closed
          td Event will be triggered after Login Screen completes its closing animation

    h2 Login Screen v-model
    p Login Screen component supports `v-model` on `opened` prop:
    ```html
      <template>
        <f7-page>
          <f7-login-screen v-model:opened="isOpened">
            ...
          </f7-login-screen>
          <p>Modal is opened: {{ isOpened }}</p>
        </f7-page>
      </template>
      <script>
        export default {
          data() {
            return {
              isOpened: false,
            };
          }
        };
      </script>
    ```

    h2 Open And Close Login Screen
    p In addition to Login Screen open()/close() methods, you can open and close it:
    ul
      li using <a href="../docs/login-screen.html">Login Screen API</a>
      li by passing `true` or `false` to its `opened` prop
      li by clicking on <a href="link.html">Link</a> or <a href="button.html">Button</a> with relevant `login-screen-open` property (to open it) and `login-screen-close` property to close it


    h2 Examples
    +examplePreview('vue', 'login-screen.vue', 'login-screen')

      h4 Separate Login Screen Page
      +examplePreview('vue', 'login-screen-page.vue', 'login-screen-page')
